Skip to main content
POST
Set Scheduled Departure

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vin
string
required

The associated VIN.

Query Parameters

wait_for_completion
boolean
default:true

Whether to wait for the command to complete before returning a response.

max_attempts
integer
default:3

The maximum number of attempts to make to execute the command.

Required range: 1 <= x <= 3
enable
boolean
required

Whether to enable scheduled departure.

Example:

true

departure_time
number
required

The departure time in minutes past midnight local time.

Example:

480

preconditioning_enabled
boolean
default:false

Whether to precondition the cabin.

preconditioning_weekdays_only
boolean
default:false

Whether to precondition the cabin on weekdays only.

off_peak_charging_enabled
boolean
default:false

Whether to perform off-peak charging.

off_peak_charging_weekdays_only
boolean
default:false

Whether to perform off-peak charging on weekdays only.

end_off_peak_time
number

The end of the off-peak charging time in minutes past midnight local time.

Example:

360

Response

200 - application/json

Success

result
boolean

Whether the command was successful.